# Generated from calabash-android-0.9.30.gem by gem2rpm -*- rpm-spec -*-
%global gem_name calabash-android

Name: rubygem-%{gem_name}
Version: 0.9.30
Release: 1%{?dist}
Summary: Client for calabash-android for automated functional testing on Android
License: EPL-1.0
URL: http://github.com/calabash
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard) >= 0.9.12
# BuildRequires: rubygem(yard) < 1.0
# BuildRequires: rubygem(redcarpet) >= 3.1
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-bundler)
# BuildRequires: rubygem(listen) = 3.0.6
# BuildRequires: rubygem(growl)
# BuildRequires: rubygem(stub_env)
BuildArch: noarch

%description
calabash-android drives tests for native and hybrid Android apps. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/calabash-android
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/epl-v10.html
%{gem_instdir}/irbrc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/features-skeleton

%changelog
* Wed Sep 20 2023 mockbuilder - 0.9.30-1
- Initial package
